# -*- coding: utf-8 -*-
##############################################################################
#
#    Author: David BEAL
#    Copyright 2014 Akretion
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    'name': 'Configuration Helper',
    'version': '0.0.1',
    'author': 'Akretion',
    'maintainer': 'Akretion',
    'category': 'server',
    'complexity': 'normal',
    'depends': ['base'],
    'description': """
Configuration Helper
====================

*This module is intended for developer only. It does nothing used alone.*

This module

  * create automatically related fields in 'whatiwant.config.settings'
    using those defined in 'res.company' : it avoid duplicated field definitions.
  * company_id field with default value is created
  * onchange_company_id is defined to update all related fields


How to use
----------

.. code-block:: python

    from . company import ResCompany

    class WhatiwantClassSettings(orm.TransientModel):
        _inherit = ['res.config.settings', 'abstract.config.settings']
        _name = 'whatiwant.config.settings'
        # fields must be defined in ResCompany class
        # related fields are automatically generated from previous definitions
        _companyObject = ResCompany


Roadmap
-------
  * automatically generate a default view for 'whatiwant.config.settings' (in --debug ?)


Contributors
------------

* David BEAL <david.beal@akretion.com>
* Sébastien BEAU <sebastien.beau@akretion.com>

 """,
    'website': 'http://www.akretion.com/',
    'data': [
    ],
    'tests': [],
    'installable': True,
    'auto_install': False,
    'license': 'AGPL-3',
    'application': True,
}
